Home
Home
  1. Submissions
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
        POST
      • Get submission
        GET
      • Update submission
        PUT
      • Update submission status
        PUT
      • Run business verification
        POST
      • Get submission checks
        GET
      • Delete submission
        DELETE
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
      • Upload document for submission
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC Search
      • Get company with ID
      • Company RFC Lookup
      • Company Name Search
      • Download document
    • Utilities
      • Matcher
        • Run name matching
  1. Submissions

Create new submission

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
POST
https://api.niva.co/v1
/submissions
Create a new submission request for a business.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Body Params application/json

Example
{
    "country": "MX",
    "business_type": "legal_entity",
    "legal_name": "Acme Inc.",
    "trade_name": "Acme Trading",
    "rfc": "NVA120490XD2",
    "website": "https://acme.co.mx",
    "operating_address": "Prolongación Caridad 0, 48913 Zaragoza, Nav",
    "external_id": "c487a1ee-0e43-4806-9f9d-a59d623c6510",
    "applicant": {
        "first_name": "José Luis",
        "email": "Miguel0@gmail.com",
        "phone": "+52 23-22-54-23-45",
        "last_name": "Saavedra"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/submissions' \
--header 'apiKey: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "country": "MX",
    "business_type": "legal_entity",
    "legal_name": "Acme Inc.",
    "trade_name": "Acme Trading",
    "rfc": "NVA120490XD2",
    "website": "https://acme.co.mx",
    "operating_address": "Prolongación Caridad 0, 48913 Zaragoza, Nav",
    "external_id": "c487a1ee-0e43-4806-9f9d-a59d623c6510",
    "applicant": {
        "first_name": "José Luis",
        "email": "Miguel0@gmail.com",
        "phone": "+52 23-22-54-23-45",
        "last_name": "Saavedra"
    }
}'

Responses

🟢200Application
application/json
Bodyapplication/json

Example
{
    "id": "string",
    "token": "string",
    "status": "pending",
    "country": "MX",
    "business_type": "sole_proprietor",
    "legal_name": "string",
    "rfc": "NVA120490XD2",
    "policy_id": "string",
    "inputs": {
        "business_type": "sole_proprietor",
        "legal_name": "La Justina Cafe S.A. de C.V.",
        "trade_name": "La Justina Valle",
        "rfc": "NVA120490XD2",
        "website": "http://example.com",
        "operating_address": "string",
        "policy_id": "string",
        "applicant": {
            "first_name": "string",
            "last_name": "string",
            "email": "user@example.com",
            "phone": "string"
        },
        "legal_representatives": [
            {
                "first_name": "string",
                "last_name": "string",
                "email": "user@example.com",
                "phone": "string"
            }
        ],
        "bank_accounts": [
            {
                "name": "Acme SA de CV",
                "tax_id_number": "NVA120490XD2",
                "account_number": "123456789012345678",
                "account_type": "clabe",
                "bank_name": "Banorte",
                "verfication_status": "unverified"
            }
        ],
        "custom": {
            "property1": "string",
            "property2": "string"
        }
    },
    "documents": [
        {
            "id": "string",
            "status": "pending",
            "validation_status": "incomplete",
            "type": "mx_acta_constitutiva",
            "file": {
                "name": "string",
                "byte_size": 0
            },
            "source": "user",
            "data": {},
            "validation_errors": [
                {
                    "type": "warn",
                    "error": "illegible",
                    "error_message": "Document is blank",
                    "display_message": "Document is not the correct type. Please upload the correct document."
                }
            ],
            "uploaded_at": "2019-08-24T14:15:22.123Z",
            "external_id": "string",
            "document_name": "string"
        }
    ],
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z"
}
🟠422Unprocessable Content
Previous
Download a report
Next
Get submission